This is the first time I've ran into this. Whenever I try to install IE9 on this workstation with Windows 7 Professional 32 Bit. It gives me a pop up that says "This version of Internet Explorer setup doesn't support your version of Windows." I've searched through the Microsoft forums and I haven't had any luck finding an answer.

I'm running the IE9 32 bit setup. I've even ran the IE9 64 bit just in case but of course it didn't work. You can see the attached file of a screen shot that I took.

Thank you,

1 Comment   [ + ] Show Comment


  • what version of IE do you have on that machine???
Please log in to comment


Make sure you are using 32 bit update . Also , you might have to install some other updates before installing the main update
Answered 11/03/2014 by: rock_star
Black Belt

  • Hi rock_star

    I've ran all of the Windows Updates. I've also tried to install IE9 using the update and the stand alone installation. Sorry, I should of included this on my pain post.
Please log in to comment
When you say you've run all the windows updates, does this include only the mandatory ones or also the optional ones?  Have a look at this MS technote:  The requirements for IE9 on Win 7 SP1 do get a bit of coverage. However, have you ever had IE10 or IE11 installed on this machine?  If so, chances are that some system files have been replaced and this may be the reason for the message you are getting.
I would not waste too much time on this. If you can't install IE9, try installing IE10 then uninstalling, and finally try IE9 again. If still no joy, I would recommend an operating system rebuild as there is a significant probability that something has got screwed up in the registry.
Just one more thought - open an admin command prompt and run sfc /scannow to make sure your operating system files are all intact.
Answered 11/03/2014 by: EdT
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity